Subject: [netconf] draft-ietf-netconf-https-notif-04

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 28 Jul 2020 10:40:44 +0000

Hi Kent, Mahesh,

A few quick comments whilst reviewing draft-ietf-netconf-https-notif-04:

1) The example in section 1.5.1 seems to have a single POST request, but multiple responses (one per notification).  Is that correct, or should there be a single response for a single post request?

2) Section 2.1:
Do you need to specify on what path the GET request is made?  Is this a configured path described in section 4.1?  Otherwise, it is not possible that the receiver could be running a webserver for other purposes?

3) Section 4.1:
The tree diagram doesn't contain the path leaf.  Possibly a more expanded tree diagram might be helpful.  Arguably the tcp part could/should be omitted.

4) I'm not a big fan of this construct:

           uses httpc:http-client-stack-grouping {
             refine "transport/tcp" {
               // create the logical impossibility of enabling "tcp"
               // transport
               if-feature "not httpc:tcp-supported";

I was wondering if it would be better if the base grouping should be split (perhaps too late for that)?

5)
             augment "transport/tls/tls/http-client-parameters" {
               leaf path {
                 type string;
                 description
                   "Relative URI to the target resource.";
               }
               description
                 "Augmentation to add a path to the target resource.";
             }

What is this URI relative to?

6)
               reference
                 "RFC 7407: A YANG Data Model for SNMP Configuration.";

It seems strange to have a dependency on SNMP configuration, but perhaps this is just a historical aberration.

Regards,
Rob